---
layout: default
permalink: /integrations/
title: Integrations
redirect_from:
  - /docs/integrations.md/
  - /docs/integrations/
---

# Integrations

* TOC
{:toc}

There are some projects out there known to use Kompose integrated in some form or another

### Kompose UI by Jad Chamoun (ICANN) and Joe Haddad (Anghami)

**Description:** "A web interface to convert Compose files to Kubernetes YAML"

**Link:** [https://github.com/JadCham/komposeui](https://github.com/JadCham/komposeui)

### Kompose Docker Container by Cloudfind

**Description:** "A Docker container for the Kompose translator for compose"

**Link:** [https://github.com/cloudfind/kompose-docker](https://github.com/cloudfind/kompose-docker)

### KPM by CoreOS

**Description:** "KPM is a tool to deploy and manage application stacks on Kubernetes"

**Link:** [https://github.com/coreos/kpm](https://github.com/coreos/kpm)

### Docker Image for Adobe Enterprise Manager by Adfinis SyGroup AG

**Description:** "Docker Image for Adobe Enterprise Manager"

**Link:** [https://github.com/adfinis-sygroup/aem-docker/tree/master](https://github.com/adfinis-sygroup/aem-docker/tree/master)

### Kompose Ansible Playbook by Chris Houseknecht (Red Hat)

**Description:** "Download and unarchive the latest kompose release asset for your OS"

**Link:** [https://github.com/chouseknecht/kompose-install-role](https://github.com/chouseknecht/kompose-install-role)

### Fabric8 Maven Plugin by Red Hat

**Description:** "Maven is one of the widely used build tools for Java applications. The Fabric8 Maven Plugin is a maven extension that simplifies the deployment of Java applications to Kubernetes or OpenShift clusters.
The main task of this plugin is to build Docker images, generate Kubernetes or OpenShift resource descriptors and run/deploy the application on Kubernetes or OpenShift cluster.
The plugin has a wide range of configuration options. Compose is one of the options to bring up deployments on Kubernetes or OpenShift clusters.
Technically, Fabric8 Maven Plugin processes the external compose.yml file and generates Kubernetes or OpenShift resources via Kompose."

**Links:**

* [Quickstart](/maven-example)
* [Documentation](https://maven.fabric8.io/#compose)
